wifi8 2.0.0.0

Data Fields
wifi8_m2m_conn_cred_hdr_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint16_t | u16_cred_size
uint8_t | u8_cred_store_flags
uint8_t | u8_channel

## Field Documentation

## ◆ u16_cred_size

uint16_t u16_cred_size

total buf_len of connect credentials, not including wifi8_m2m_conn_cred_hdr_t: wifi8_m2m_conn_cred_cmn_t auth details (variable buf_len)

## ◆ u8_channel

uint8_t u8_channel

wi-fi channel(s) on which to attempt connection.

## ◆ u8_cred_store_flags

uint8_t u8_cred_store_flags

credential storage options represented with flags: m2m_cred_store_flag m2m_cred_encrypt_flag m2m_cred_is_stored_flag m2m_cred_is_encrypted_flag

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h